const { ActivityType } = require("discord.js");
const Event = require('../../structures/Event');

module.exports = class extends Event {
    constructor(client) {
        super(client, {
            name: 'ready'
        })
    }

    run = async () => {
        console.log(`Bot ${this.client.user.username} logado com sucesso em ${this.client.guilds.cache.size} servidores.`);
        //await this.client.connectToDatabase();
        await this.client.app;

        await this.client.SlashCommands();

        let idx = 0;
        setInterval(() => {
            let messages = [
                {
                    name: `Powered By ❤️ Snar`,
                    type: ActivityType.Playing
                },
                {
                    name: `🌐 PT-SKILLS`,
                    type: ActivityType.Playing
                },
                {
                    name: `👤 ${this.client.users.cache.size} USUÁRIOS`,
                    type: ActivityType.Listening
                },
                {
                    name: `Powered By ❤️ Snar`,
                    type: ActivityType.Watching
                },
                {
                    name: `📌 Abra ticket para mais ajuda!`,
                    type: ActivityType.Playing
                },
            ]
            let message = messages[idx];
            idx++;
            if (idx >= messages.length) idx = 0;

            this.client.user.setPresence({
                activities: [ message ] 
            });
        }, 1200000); // 1200000
    }
}