const { EmbedBuilder } = require("discord.js");
const Event = require("../../structures/Event");

module.exports = class extends Event {
    constructor(client) {
        super(client, {
            name: "interactionCreate"
        });
    }

    run = async (interaction) => {
        try {
            const client = this.client;
            if (interaction.isCommand()) {
                if (!interaction.guild) return;

                //if (!['568392123955675146', '629734543867379732'].includes(interaction.user.id)) return interaction.reply({ content: `Olá, neste momento estou em manutenção!` })
                execute();
            }

            async function execute() {
                const cmd = client.commands.find(c => c.name === interaction.commandName)

                if (cmd) {
                    cmd.run(interaction)
                };

                /*let url_icon = interaction.user.displayAvatarURL({ dynamic: true, format: 'png', size: 1024 })
                let embed = new EmbedBuilder()
                    .setAuthor({ name: `${interaction.user.username}`, iconURL: `${url_icon}` })
                    .setTitle(`<:meio_termo:1054831961522307083> • Logs Comando`)
                    .setColor('DarkPurple')
                    .setDescription(`<:Information:1187131757552738324> Nome do servidor: **${interaction.guild.name}**
<:ID:1104455905581469767> ID do servidor: **${interaction.guild.id}**
<:Invite:1187133143027814441> Nome do usuário: **${interaction.user.username}**
<:ID:1104455905581469767> ID do usuário: **${interaction.user.id}**
<:meio_termo:1054831961522307083> Comando: **${interaction.commandName}**`)
                    .setThumbnail(url_icon)
                    .setFooter({ text: `${client.config.Copyright}` })
                    .setTimestamp();

                await client.channels.cache.get('1200042725043609680').send({
                    embeds: [embed]
                })*/
            }
        } catch(err) {
            return false;
        };
    };
}